package org.springblade.imports.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.imports.entity.FctStandingBook;
import org.springblade.imports.query.FctStandingBookQuery;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
public interface IFctStandingBookService extends IService<FctStandingBook> {

	void insertBatch(List<FctStandingBook> excelList);


	void insertBatchHasDid(List<FctStandingBook> list);

	List<FctStandingBook> getListByQuery(FctStandingBookQuery query);

	IPage<FctStandingBook> getPageByQuery(IPage<Object> page, FctStandingBookQuery pageQuery);
}
